@import "src/sass/global";

/*~~~~~BUTTON's STYLES~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
.outline-btn {
  background: none;
  color: $primary-color;
  border-color: $primary-color;
}

.no-btn {
  background: none;
  border: none;
  padding: 0;

  color: black;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

/*~~~~~INPUT's STYLES~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
.no-npt {
  background: none;
  outline: none !important;
  border: none !important;
}

.convert-npt {
  &:focus-within {
    outline: 3px solid rgba(30, 144, 255, 0.32);
    border: 1px solid rgba(30, 144, 255, 0.48);
  }
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

.myForm {
  width: 100%;

  display: flex;
  flex-direction: column;
  gap: 1rem;

  &__row {
    display: flex;
    flex-direction: column;

    &-label {
      font-size: 14.8px;
    }
  }
}
